import { JsonObjectVisitor } from "./JsonObjectVisitor";
/**
 *
 */
export declare class SessionVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    static visitUserId(session: object): string;
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    propagateSessionId(sessionId: string): void;
    visitId(): string;
    visitTenantId(): string;
    visitUserId(): string;
}
